* {
  box-sizing: border-box;
}

body {
  margin: 0px;
  font-family: 'segoe ui';
}

.nav {
  height: 50px;
  width: 100%;
  background-color: white;
  position: relative;
  border-bottom: 1px solid gray;

}

.nav > .nav-header {
  display: inline;
}

.nav > .nav-header > .nav-title {
  display: inline-block;
  font-size: 22px;
  color: #fff;
 
}

.nav > .nav-btn {
  display: none;
}

.nav > .nav-links {
  display: inline;
  float: right;
  font-size: 15px;
}

.nav > .nav-links > a {
  display: inline-block;
  padding: 13px 10px 13px 10px;
  text-decoration: none;
  color: gray;

    -webkit-transition: background 1s;
}

.nav > .nav-links > a:hover {
  background-color: #421f71;
  color: white;
    -webkit-transition: background 1s;
}

.nav > #nav-check {
  display: none;
}

@media (max-width:600px) {
  .nav > .nav-btn {
    display: inline-block;
    position: absolute;
    right: 0px;
    top: 0px;
  }
  .nav > .nav-btn > label {
    display: inline-block;
    width: 50px;
    height: 50px;
    padding: 13px;
    margin-top: 25%;
  }
  .nav > .nav-btn > label:hover {
    background-color: none;
    cursor: pointer;
  }
  .nav > .nav-btn > label > span {
    display: block;
    width: 25px;
    height: 9px;
    border-top: 3px solid black;

  }
  .nav > .nav-links {
    position: absolute;
    display: block;
    width: 100%;
    background-color: black;
    height: 0px;
    transition: all 0.3s ease-in;
    overflow-y: hidden;
    top: 40px;
    left: 0px;
    position:relative;
    z-index:100;

  }
  .nav > .nav-links > a {
    display: block;
    width: 100%;
  }
  .nav > #nav-check:not(:checked) + .nav-links {
    height: 0px;
  }
  .nav > #nav-check:checked + .nav-links {
    height: calc(100vh - 50px);
    overflow-y: auto;
  }
}